Subject: Re: [MMUSIC] Should SDP capneg "update" Offer/Answer (RFC 3264)?

From: "Jean-Francois Mule" <[email-masked]>
Date: Fri, 4 Jul 2008 08:08:08 -0600

Hi Ingemar,

   Thanks for the response but I'm not sure it answers the original
question which might have been confusing. 

   The question is whether it would be a good idea for
	- to-be-published RFC on SDP capneg to have a mention of
'updates RFC 3264'
	- and for the RFC 3264 to have a mention of 'updated by new RFC'

Jean-Francois

> -----Original Message-----
> From: Ingemar Johansson S [mailto:[email-masked]]
> Sent: Monday, June 23, 2008 8:41 AM
> To: Jean-Francois Mule; [email-masked]
> Subject: RE: [MMUSIC] Should SDP capneg "update" Offer/Answer (RFC
> 3264)?
> 
> Hi
> 
> My opinion...
> I have tried to compare RFC3264 with SDPCapNeg and I don't actually
> find
> a need to update RFC3264 optionally it is possible that RFC4317
> should
> be modified with SDPCapNeg examples but I don't believe that this
> is
> needed either as the SDPCapNeg (as well as the media cap extension)
> contains examples.
> 
> /Ingemar
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of Jean-Francois Mule
> > Sent: den 19 juni 2008 22:20
> > To: [email-masked]
> > Subject: [MMUSIC] Should SDP capneg "update" Offer/Answer (RFC
> 3264)?
> >
> > A question came up during my review of SDP cap neg for which
> > I would like to seek input from the wg.
> >
> >    As it's been discussed in IETF#71, and as is indicated on page
> 7,
> >    first paragraph, this document gives a number of O/A
> procedures
> >    when sdp cap neg is used.
> >    page 7:
> >    "SIP uses the offer/answer model [RFC3264] (which is not
> > specific to
> >    SIP) to negotiate sessions and hence the mechanism defined
> here
> >    provides the offer/answer procedures to use for the capability
> >    negotiation framework."
> >    See also text in page 11, first paragraph and the actual O/A
> >    extensions and page 31 with section 3.6.1.
> >
> >    Given the modified O/A procedures, and especially the modified
> >    processing of the answer by the offerer, should it update RFC
> >    3264?
> >
> > Comments welcome.
> >
> > Jean-Francois.
> > _______________________________________________
> > mmusic mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mmusic
> >
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic